Jump to content
phil_m

Helix/HX Effects Firmware Update Instructions - Please Read before posting a new thread!

Recommended Posts

NOTE: Because of the size and complexity of the 2.8 update, the update instructions are slightly different. Please refer to this link:

 

1. Open up the existing version of HX Edit and create a backup of your device. It's probably a good idea to create backups of your individual setlists and IRs as a secondary backup. Close HX Edit.

2. Download and install HX Edit from the "Downloads" link above. THIS IS THE ONLY THING YOU NEED TO DOWNLOAD!

3. Run Line 6 Updater and follow the prompts.

4. After the update is installed, you can open the new version of HX Edit that you installed earlier, and you're ready to rock. That's it. You don't need to perform any hardware resets.

  • Upvote 1

Share this post


Link to post
Share on other sites

Hi Phil --

Just curious. the download install went fine. I normally do a reset even with the new updates, so any additions to Factory 1 & 2 demo presets and the Templates setlists are showing the new stuff. I then reload my pre-update backup except for setlists 1, 2, & 8. this time when I did the 9/10 reset when booting up, it never reset, and just went to the normal setlists without going through the process. Not a big problem, but was weird that the failsafe reset process didn't initiate... Did they disable that? Haven't had a chance to check the new stuff out yet, but was curious if they had any new preset in 1, 2, & 8... Trying to find the other reset button combinations to see if they still work.... Helix Floor, BTW, since fall 2015....

 

Thanks,

Dave

Share this post


Link to post
Share on other sites
38 minutes ago, jmp22684 said:

Do we need to update line 6 updater and perform a reset? 

 

Not really. The installation package for HX Edit includes the newest version of Line 6 Updater, though. That’s why I said HX Edit is the only thing you need to download.

Share this post


Link to post
Share on other sites

Ya know the way I see this is if Line-6 would not make the firmware available thru anything but "Line 6 Updater", there wouldn't be any confusion factor here to mess with and you wouldn't be so tired. With how its setup now (new firmware available for download "twice" (with updater and a download) and its right next to HX Edit in the same DL section, Line 6 is creating all the confusion, not the user.

  • Like 2
  • Upvote 1
  • Downvote 1

Share this post


Link to post
Share on other sites
11 hours ago, davidb7170 said:

Hi Phil --

Just curious. the download install went fine. I normally do a reset even with the new updates, so any additions to Factory 1 & 2 demo presets and the Templates setlists are showing the new stuff. I then reload my pre-update backup except for setlists 1, 2, & 8. this time when I did the 9/10 reset when booting up, it never reset, and just went to the normal setlists without going through the process. Not a big problem, but was weird that the failsafe reset process didn't initiate... Did they disable that? Haven't had a chance to check the new stuff out yet, but was curious if they had any new preset in 1, 2, & 8... Trying to find the other reset button combinations to see if they still work.... Helix Floor, BTW, since fall 2015....

 

Thanks,

Dave

This is relevant.

The last update I did this also to get the new factory presets. 

Like you I then reloaded the backed up user setlists and did the rebuild.

We still have to do this if we want the new presets right?

But you're saying that forcing the rebuild didn't work?  Did you figured it out yet if that option with the 9/10 footswitches no longer works?

Share this post


Link to post
Share on other sites
10 hours ago, phil_m said:

 

Not really. The installation package for HX Edit includes the newest version of Line 6 Updater, though. That’s why I said HX Edit is the only thing you need to download.

 

Hi Phil,

Maybe someone should update the pinned post on here that states HX Edit 2.52 (Feb 22 2018) is the current version. It’s a locked post from a Line6 staff member and it could be confusing for new users, as it looks “official”.

 

 

Share this post


Link to post
Share on other sites
2 hours ago, datacommando said:

 

Hi Phil,

Maybe someone should update the pinned post on here that states HX Edit 2.52 (Feb 22 2018) is the current version. It’s a locked post from a Line6 staff member and it could be confusing for new users, as it looks “official”.

 

 

 

Thanks for the reminder. It's been updated now.

  • Thanks 1

Share this post


Link to post
Share on other sites
On 7/4/2018 at 2:40 PM, phil_m said:

 

Thanks for the reminder. It's been updated now.

 

Excellent work Sir, let's hope that users take the time to check out the relevant procedures.

It's usually down to an over eager Helix jockey wanting to dive right into the latest toys and forgetting the basic stuff like "installation instructions" and RTFM.

Thanks

 

Share this post


Link to post
Share on other sites
On ‎7‎/‎4‎/‎2018 at 5:04 AM, ppoceiro said:

This is relevant.

The last update I did this also to get the new factory presets. 

Like you I then reloaded the backed up user setlists and did the rebuild.

We still have to do this if we want the new presets right?

But you're saying that forcing the rebuild didn't work?  Did you figured it out yet if that option with the 9/10 footswitches no longer works?

I was able to do a 9/10 reset, and yes there are new presets at least in Factory 1 setlist. I don't know specifically the issue that prevented my doing the 9/10 reset initially. One thing I did as I recall was I left the usb connected to my PC when I tried and it didn't reset . This time, I made sure I was disconnected and it did go into a reset, I loaded my backup except for Setlist 1, 2, & 8. Worked fine, rebooted to let the reloaded presets rebuild, and seems to be good now.

  • Upvote 1

Share this post


Link to post
Share on other sites

Hi there , Is anyone else getting the "error has occurred" message when tring to update your helix. I have the Helix LT and thought it was because I was running the 2.30 version, so I did the 2.50 just fine then the 2.54 loaded up perfect but I still get an error in big red letters saying I need to check mu USB connection and to try turning the power off and back on. 

   I am trying to use the line 6 updater which sees my unit and I clock on it then follow all the instructions. I hit accept and next or continue and boom there is the same message again   ,,  an error has occurred. Please help.. thanks,, Don

  • Upvote 1

Share this post


Link to post
Share on other sites
4 hours ago, dghogan said:

Hi there , Is anyone else getting the "error has occurred" message when tring to update your helix. I have the Helix LT and thought it was because I was running the 2.30 version, so I did the 2.50 just fine then the 2.54 loaded up perfect but I still get an error in big red letters saying I need to check mu USB connection and to try turning the power off and back on. 

   I am trying to use the line 6 updater which sees my unit and I clock on it then follow all the instructions. I hit accept and next or continue and boom there is the same message again   ,,  an error has occurred. Please help.. thanks,, Don

 

Hi Don,

 

Did you follow exactly the instructions above, in the post from “phil_m”.

 

You MUST download and install version 2.6 HX Edit FIRST as this also installs the correct driver and the LATEST LINE6 UPDATER software.

If you are tying to upgrade the firmware using an older version of the Line6 Updater, you will more than likely encounter errors. The old version will see the Helix is connected, but it is not capable of correctly updating the Firmware.

 

If you have followed the correct procedures, and you are still having issues, it is a great help to know what computer and system you are currently using, eg. Windows Mac OSX. Then it maybe easier to solve the problem.

 

Hope this helps.

Share this post


Link to post
Share on other sites
On 7/3/2018 at 11:01 AM, phil_m said:

1. Open up the existing version of HX Edit and create a backup of your device. It's probably a good idea to create backups of your individual setlists and IRs as a secondary backup. Close HX Edit.

2. Download and install HX Edit from the "Downloads" link above. THIS IS THE ONLY THING YOU NEED TO DOWNLOAD!

3. Run Line 6 Updater and follow the prompts.

4. After the update is installed, you can open the new version of HX Edit that you installed earlier, and you're ready to rock. That's it. You don't need to perform any hardware resets.

I did all that . I have editor 2.60. That part worked. Closed the editor. Then when I go back and try to update,  I get the message error occurred, please try again.  The update will not install. I tried deleting the update and reinstalling the update. That went fine. I have update version 2.54 on my helix and editor 2.60 on my windows 7 computer.  

Share this post


Link to post
Share on other sites
52 minutes ago, dghogan said:

I did all that . I have editor 2.60. That part worked. Closed the editor. Then when I go back and try to update,  I get the message error occurred, please try again.  The update will not install. I tried deleting the update and reinstalling the update. That went fine. I have update version 2.54 on my helix and editor 2.60 on my windows 7 computer.  

 

Hi again Don,

 

O.K. If you definitely have version 2.60 HX Editor installed, please check that the version of Line6 Updater which you launch for sending the Firmware to your Helix is "Line 6 Updater 1.14". It could quite simply be that you have a shortcut to an earlier version still installed on your P.C. which would cause the fault

 

I have previously heard that sometimes an "overwrite" does not always function properly.
My suggestion would be to:

Uninstall the version that's currently installed (via Programs And Features).

Reinstall the latest version, so you have a perfectly clean install.

Then see if you can get it working.

Also try to avoid using a USB hub and or try using different USB ports/Cables - That has sometimes been known to cause issues previously.

 

Give it a try - there is nothing to lose.

 

 

Share this post


Link to post
Share on other sites
4 hours ago, datacommando said:

 

Hi Don,

 

Did you follow exactly the instructions above, in the post from “phil_m”.

 

You MUST download and install version 2.6 HX Edit FIRST as this also installs the correct driver and the LATEST LINE6 UPDATER software.

If you are tying to upgrade the firmware using an older version of the Line6 Updater, you will more than likely encounter errors. The old version will see the Helix is connected, but it is not capable of correctly updating the Firmware.

 

If you have followed the correct procedures, and you are still having issues, it is a great help to know what computer and system you are currently using, eg. Windows Mac OSX. Then it maybe easier to solve the problem.

 

Hope this helps.

Followed it exactly . Here's what I've done so far.  After updating my helix lt twice. I was using version 2.30. Haven't did an update in a while so I thought the reason I could not get the 2.6 to work was because of missing the other versions that came before. So I did them one at a time, didn't know any better. So, they installed perfectly. Brought my machine up to version 2.54. Then I went back to the downloads page at Line 6 and selected HX editor for windows 7 and it took me to the latest version of 2.60 editor. which has drivers, updater, ect. all there in a bundle. So, I downloaded as instructed. Opened the editor, clicked on help and then info to make sure I had the 2.6 editor and I did. Did a create backup just fine. closed editor, opened updater and followed the instructions just like I did with the earlier versions I just installed. I kept getting an error message and was instructed to turn off the helix and back on, make sure the usb was directly connected. It was , tried it 10 times same message.  so, I deleted the editor and the updater  uninstalling the program from my computer and started from scratch . back to Lne 6, downloads and get the 2.6 editor again, then did another backup then closed the editor and tried to update and still getting an error. What am I missing? I know its something simple, probably but I just did 2 updates before trying the 2.6 and I assume it's the same process as I just did....?????? Thanks for all your time,, Don

  • Thanks 1
  • Upvote 1

Share this post


Link to post
Share on other sites
36 minutes ago, dghogan said:

Followed it exactly . Here's what I've done so far.  After updating my helix lt twice. I was using version 2.30. Haven't did an update in a while so I thought the reason I could not get the 2.6 to work was because of missing the other versions that came before. So I did them one at a time, didn't know any better. So, they installed perfectly. Brought my machine up to version 2.54. Then I went back to the downloads page at Line 6 and selected HX editor for windows 7 and it took me to the latest version of 2.60 editor. which has drivers, updater, ect. all there in a bundle. So, I downloaded as instructed. Opened the editor, clicked on help and then info to make sure I had the 2.6 editor and I did. Did a create backup just fine. closed editor, opened updater and followed the instructions just like I did with the earlier versions I just installed. I kept getting an error message and was instructed to turn off the helix and back on, make sure the usb was directly connected. It was , tried it 10 times same message.  so, I deleted the editor and the updater  uninstalling the program from my computer and started from scratch . back to Lne 6, downloads and get the 2.6 editor again, then did another backup then closed the editor and tried to update and still getting an error. What am I missing? I know its something simple, probably but I just did 2 updates before trying the 2.6 and I assume it's the same process as I just did....?????? Thanks for all your time,, Don

 

Hi Don,

 

You managed to go from v.2.3 through to 2.54 with no problems at all, but the latest 2.6 is generating an error. 
Well this is baffling! 

The thing is, I'm not a Windows techie - I have that little bit of knowledge, which as they say, can be a dangerous thing.

Now, Macs - well I've been using them since Mac Plus and floppy disks. I have managed to sort out some v2.6 problems for Mac pilots over the past few days most of which came down to operator error - that is, using the 2.6 Editor and the old Updater. A couple of instances came down to simply restarting the computer after installing the new software, which is always worth doing anyhow.

This is just too bizarre, if all you are getting is an error message to tell you to turn Helix off and then on again, it's not really specific enough to suggest any solution.

I guess that when you did the previous updates up to 2.54. when they completed your Helix restarted and rebuilt all the presets as normal. What I mean is - it's not a problem caused by Helix not completing a prior install. It maybe worth trying some of the Helix built in "housekeeping" cleanup routines. You can find them here:

 

https://helixhelp.com/reset-options/

 

At the moment that's all I've got. I'll see if I can dig up a solution out there in cyberspace.

 

Glad to help - if I can!

 

Share this post


Link to post
Share on other sites

I can't instal the editor! It says there's a newer version of Line 6 Monkey on my computer & would I like to open it? But it then tells me I have a Bass Pod XT! And it can't connect to the server. (And the Helix is not listed as an option).

This happens every time I try to open the HX Edit download & install.

I'm now officially pissed off!

Share this post


Link to post
Share on other sites
12 minutes ago, trolley said:

I can't instal the editor! It says there's a newer version of Line 6 Monkey on my computer & would I like to open it? But it then tells me I have a Bass Pod XT! And it can't connect to the server. (And the Helix is not listed as an option).

This happens every time I try to open the HX Edit download & install.

I'm now officially pissed off!

 

You don't need to use Line 6 Monkey. Indeed you can't use Monkey, as it doesn't support the Helix. You just need to download and install the program called HX Edit. That will install the editor (called HX Edit), the updater utility (called Line 6 Updater), and all the applicable device drivers you need.

Share this post


Link to post
Share on other sites

Ive just updated to 2.60 did all the steps. Now i hear my mic & guitar in the helix. But nothing from my pc.. I play a song nothing. Not sure howto fix this.

Share this post


Link to post
Share on other sites

I have. But I owe an apology -and maybe it helps other.

Soooo, connect Helix, backup, download update & instal. It updates the Editor as well.

I'll just go to the corner & be embarassed

  • Thanks 1

Share this post


Link to post
Share on other sites
2 hours ago, poke747 said:

Ive just updated to 2.60 did all the steps. Now i hear my mic & guitar in the helix. But nothing from my pc.. I play a song nothing. Not sure howto fix this.

 

Hi poke747,

The simplest solution to your problem is to go here and on pages 53 - 58 about USB audio there are lots of informative diagrams to Show how to hook up to a computer for audio and MIDI ins and outs.

 

https://uk.line6.com/data/6/0a06439c975d5787c3e351aa0/application/pdf/Helix 2.0 Owners Manual - Rev D - English .pdf#page53

 

read, study and inwardly digest - you will soon figure out how to fix this. It’s easy!

Share this post


Link to post
Share on other sites
On 7/6/2018 at 9:34 AM, dghogan said:

Followed it exactly . Here's what I've done so far.  After updating my helix lt twice. I was using version 2.30. Haven't did an update in a while so I thought the reason I could not get the 2.6 to work was because of missing the other versions that came before. So I did them one at a time, didn't know any better. So, they installed perfectly. Brought my machine up to version 2.54. Then I went back to the downloads page at Line 6 and selected HX editor for windows 7 and it took me to the latest version of 2.60 editor. which has drivers, updater, ect. all there in a bundle. So, I downloaded as instructed. Opened the editor, clicked on help and then info to make sure I had the 2.6 editor and I did. Did a create backup just fine. closed editor, opened updater and followed the instructions just like I did with the earlier versions I just installed. I kept getting an error message and was instructed to turn off the helix and back on, make sure the usb was directly connected. It was , tried it 10 times same message.  so, I deleted the editor and the updater  uninstalling the program from my computer and started from scratch . back to Lne 6, downloads and get the 2.6 editor again, then did another backup then closed the editor and tried to update and still getting an error. What am I missing? I know its something simple, probably but I just did 2 updates before trying the 2.6 and I assume it's the same process as I just did....?????? Thanks for all your time,, Don

 

I am having the exact same problem but I am running windows 10 and I was already successfully running 2.54. dghogan, have you resolved this by any chance?

Share this post


Link to post
Share on other sites

I have tried to update as well...I load HX Editor and it says I need to load line 6 updater...I load line 6 updater it says DFU disconnected update suspended...I have removed all line 6 software and reloaded it several times....I guess ill send it back...sheesh what a buzz kill...I never had a problem with the POD HD....

Share this post


Link to post
Share on other sites
13 minutes ago, JAY1247 said:

I have tried to update as well...I load HX Editor and it says I need to load line 6 updater...I load line 6 updater it says DFU disconnected update suspended...I have removed all line 6 software and reloaded it several times....I guess ill send it back...sheesh what a buzz kill...I never had a problem with the POD HD....

 

Sounds like a USB issue. Have you tried different USB ports and/or cables?

Share this post


Link to post
Share on other sites

Yes...this USB port works with my printer and anything I plug into it....am i missing something?

Share this post


Link to post
Share on other sites
13 hours ago, JAY1247 said:

Yes...this USB port works with my printer and anything I plug into it....am i missing something?

 

O.K. First thing - DON’T PANIC! Thousands of Helix owners have managed this update without issue, but there are many who have problems. Most of these problems are usually minor technical things or even occasionally “user error”. I will repeat, one more time, all the information from the above posts which may assist. 

 

Next up, What you are telling us is a little vague. For a start, you could help us by suppling more information, such as what computer and Operating System you have!

 

Also, prior to running the Update did your Helix communicate with the v2.50 Editor software without problems?
If the answer is “Yes”, then has anything else in the configuration changed? Some studio users have Helix hooked up full time, others who are gigging only connect to make backups and set list changes and are constantly using different cables.


Are you connected to/or have you tried connecting to your Helix with a different computer, USB cable or USB port.

Your printer and anything else may well be working just fine, but note that Helix doesn't like USB 3 or USB Hubs. Try disconnecting all USB peripheral items, so that Helix is the only thing connected during the update process.

 

I suggest the thing to try is, uninstall the Helix Edit and Line6 Updater, then do a fresh download from the Line 6 site. You should select HX Edit from the All Software and your OS on the dropdown menus. When you install HX Edit it will also install the Line6 Updater v1.14 and any other drivers etc., that you may need. When the new software is installed, reboot you computer. Doing a clean install should clear any glitches that were linking to any old versions of the software. 

 

Now, run the new HX Edit and make a backup of the stuff from your Helix. When done, be sure to shut down HX Edit, and launch the new Line 6 Updater v1.14, click the about button to check. If all you connections are good the Updater should see your Helix. Proceed with the firmware upgrade.

 

Give it try - do it calmly a slowly, so nothing is overlooked.  

 

When you have eliminated all the logical solutions, and if this fails, then you can shout and scream as much as you like.

 

I know would!

 

Good luck

 

Share this post


Link to post
Share on other sites

Just one question in between: I've bought a used Helix and received it today. It still has the 1.04 flash memory installed, seems the pre-owner never updated it.

 

Can I flash 2.60 over 1.04 or do I have to make some "intermediate steps" ?

Share this post


Link to post
Share on other sites
1 hour ago, Melonos said:

Just one question in between: I've bought a used Helix and received it today. It still has the 1.04 flash memory installed, seems the pre-owner never updated it.

 

Can I flash 2.60 over 1.04 or do I have to make some "intermediate steps" ?

 

Just go straight to 2.60.

  • Upvote 1

Share this post


Link to post
Share on other sites

I got the newest update finally...but when I open HX EDIT it says something like setlist cant load..badly formed device....what now??

Share this post


Link to post
Share on other sites
9 hours ago, JAY1247 said:

I got the newest update finally...but when I open HX EDIT it says something like setlist cant load..badly formed device....what now??

 

Hi again Jay,

 

Well, now you seem to be getting somewhere, but you have discovered a new problem.

 

Once more you are not very clear about what exactly is happening. Saying you get an error message which states “something like” etc., is extremely vague. In order to figure out what went wrong more information would help, and an accurate quote of the error message.

 

I’m not familiar with the comment “setlist cant load..badly formed device”, it’s not something that I have ever encountered. Although, IIRC, a couple years back (with the update to v1.10) some users had an issue which stated,  “Unexpected or Bad Data type in the preset”. Yes, I know that also sound like a vague description of the problem, but it did make sense to the Line 6 developers. It appears that you get this error when you trying running a new firmware version on an outdated app. Again, I’m not sure if this is what is happening in your instance, but it is worth investigating further. I suggest that you double, even triple check that the version of HX Edit you are running is actually v2.6 because it’s not unknown for a user to have a shortcut to an older version lurking on their computer. That can cause these problems.

 

Hopefully, one of the forums Line 6 beta testers, phil_m or silverhead will chime in and comment. If this ever happen during testing, they will know, or at the very least know who to contact for a solution.

 

Hope this helps.

 

 

  • Upvote 1

Share this post


Link to post
Share on other sites
20 hours ago, JAY1247 said:

I got the newest update finally...but when I open HX EDIT it says something like setlist cant load..badly formed device....what now??

 

It sounds like you may have upgraded the firmware without upgrading HX Edit. Make sure you download and install HX Edit 2.6.

  • Thanks 1

Share this post


Link to post
Share on other sites

Hi, I just received my new Helix LT and have immediately upgraded (before test driving it) the firmware and the process was successful. Do I have to restore the backup I made of the original factory presets like it states in the instructions or are the original presets still in "the box" so to speak after the 2.6 upgrade. I did not make any changes to the settings/presets prior to the update. Thanks.

 

Share this post


Link to post
Share on other sites
20 minutes ago, mritt said:

Hi, I just received my new Helix LT and have immediately upgraded (before test driving it) the firmware and the process was successful. Do I have to restore the backup I made of the original factory presets like it states in the instructions or are the original presets still in "the box" so to speak after the 2.6 upgrade. I did not make any changes to the settings/presets prior to the update. Thanks.

 

 

Nope, no reason for you to restore the backup. Actually, what you should do is hold down footswitches 9&10 (the two middle switches of the bottom row) while powering up. That will force a factory reset and it will make sure you have all the latest factory presets.

Share this post


Link to post
Share on other sites
11 hours ago, HonestOpinion said:

 

It sounds like you may have upgraded the firmware without upgrading HX Edit. Make sure you download and install HX Edit 2.6.

 

Hi,

 

Thanks for confirming my suspicions HO, that was the only thing I could think of that could cause that particular issue. It’s not something I have ever encountered personally, but remembered others having a similar problem, way back.

 

We all love Line 6 for supplying us with these very cool, and free, firmware upgrades, but every time they happen we have to go through all this craziness. If only people weren’t so eager to get to the new stuff, that they actually took their time and read the installation instructions carefully. Of course if they are not used to flashing software, they only have to find a teenager to do it for them - they could have it up and running in minutes.

 

Thanks again.

 

Share this post


Link to post
Share on other sites

Hi Line6 Team,

when will you release the new manuals (HX Effects 2.60 Owners Manual and HX Edit Pilot's Guide)?

thank you

Andrea

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×